Subject: RE: comparaison grids presented in meeting

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Mon, 8 Mar 2004 18:11:18 -0000

Hi Jonne: 

I proposed Doors to the WG last year, mid November (thread was RE:
automatic tunneling and v6 interoperation). Doors builds on MIPv6 to
build an automatic tunnel over IPv4, and uses addresses that are built
after the 6to4 format though it could be otherwise.

MIPv6 (or Nemo for that matter) does the bulk of the work, and Doors is
just opportunistically using the states that MIPv6 installs at the HA to
store the UDP encapsulation parameters. Doors goes through all forms of
NATs, AFAIK. Actually, in the case of a nested Nemo, a single PAT state
in the network covers the full nested cloud.

I'm afraid that the draft has expired but it can still be found at the
nemo site:
http://www.mobilenetworks.org/nemo/drafts/draft-thubert-nemo-ipv4-traver
sal-01.txt 

There's a lot more we could do like advertise a door gateway using
DHCPv4 or IPv4CP, but I did not try and go that far since the base
design is not a WG work item at this point. On the other hand, that left
us some time to beta test Doors over a wide range of networks. This
includes all forms of wireless phones on 3 continents and satellite (by
NASA). Worked, as of now.

Pascal
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: lundi 8 mars 2004 14:50
> To: Pascal Thubert (pthubert); [email-masked]
> Cc: [email-masked]
> Subject: RE: comparaison grids presented in meeting
> 
> Hello,
> 
> it seems that I have missed something. What is DOORS? Is there a draft
about it?
> 
> Cheers,
> 
> Jonne.
> 
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]]On
> > Behalf Of ext Pascal Thubert (pthubert)
> > Sent: 08 March, 2004 15:00
> > To: Pekka Savola
> > Cc: [email-masked]
> > Subject: RE: comparaison grids presented in meeting
> >
> >
> > Hi Pekka:
> >
> > I was not too surprised after your reaction on the ML that you did
not
> > include Doors in that comparison grid. Not that I found that
> > only fair,
> > but I agree that IP is a pain when it comes to standards. In the
other
> > hand it's more and more the normal life of companies these days and
> > we'll have to cope with this one way or another.
> >
> > Anyway I can try and see with the lawyers about the terms for
> > that one,
> > if there's at least a little chance to raise interest on
standardizing
> > Doors.
> >
> > I understand that you think the same about Nemo since it's also
> > encumbered. On the other hand, ISPs I met with were quite
> > interested in
> > the concept of using Nemo to deploy managed IPv6 networks such as
Home
> > and SOHO. The key is that when you have subscribers by the
million(s),
> > you'd prefer not renumber them when they move, be it every 10 years.
> > Also, there's the concept of the preconfigured branch office network
> > that can be tested by IT and deployed as is using Nemo.
> >
> > So Nemo could actually help a lot in making IPv6 networks
> > pervasive, and
> > a feature like doors in that context is quite compelling to make it
> > deployable today. So yes, I get positive feedback from early
> > experimentations on Japan, the US and Europe. And yes, we are pretty
> > serious about that feature. Anything we could do to move
> > forward or will
> > you just drop it flat?
> >
> > Pascal
> >
> > > -----Original Message-----
> > > From: [email-masked] [mailto:[email-masked]]
On
> > Behalf Of Pekka Savola
> > > Sent: jeudi 4 mars 2004 17:35
> > > To: Florent Parent
> > > Cc: [email-masked]
> > > Subject: Re: comparaison grids presented in meeting
> > >
> > > On Thu, 4 Mar 2004, Florent Parent wrote:
> > > > I presume you will publish the grids you presented during the wg
> > meeting so
> > > > people on the list will be able to comment on them?
> > >
> > > Certainly.  Might take a couple of days...
> > >
> > >
> >
> >
> >

---

From: Pekka Savola <[email-masked]>
Date: Mon, 8 Mar 2004 21:52:15 +0200 (EET)

Hi,

> http://www.mobilenetworks.org/nemo/drafts/draft-thubert-nemo-ipv4-traver

Actually, I think this is conceptually similar to 
http://www.watersprings.org/pub/id/draft-soliman-v4v6-mipv4-00.txt -- 
just adding some IPv4 glue in the MIPv6 HA implementations to create a 
tunnel.

My kneejerk reaction to that was, why not co-locate a tunnel 
server/broker implementation with the HA, and get around the issue 
without modifying MIPv6 (to include IPv4 specific components).  After 
all, IPv6 connectivity in IPv4 networks (and NAT traversal) is a more 
generic problem than that.

Actually, it's even better not to co-locate the v4 tunnel endpoint 
with IPv6 HA -- that way, if a tunnel endpoint close by, closer than 
the HA, there are some route optimization benefits.

(This is the "mobility thoughts" topic which was discussed on Thursday 
session, and next a problem statement/scenario -like draft is probably 
going to be written.)

Pascal, is there something obvious I missed when I glanced through 
your idea?

-- 
Pekka Savola                 "You each name yourselves king, yet the
Netcore Oy                    kingdom bleeds."
Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings